# Update journalLines (v1.0)
Update the properties of a journal lines object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
PATCH businesscentralPrefix/companies({id})/journals({id})/journalLines({id})
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
If-Match|Required. When this request header is included and the eTag provided does not match the current tag on the journalLines, the journalLines will not be updated.
## Request body (v1.0)
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
## Response (v1.0)
If successful, this method returns a ```200 OK``` response code and an updated journalLines object in the response body.
## Example (v1.0)
Request
Here is an example of the request.
```json
PATCH https://{businesscentralPrefix}/api/v1.0/companies({id})/journals({id})/journalLines({id})
Content-type: application/json

{
  "amount": 2000
}
```
Response
```json
HTTP/1.1 200 OK
Content-type: application/json

{
  "id": "id-value",
  "journalDisplayName": "DEFAULT",
  "lineNumber": 10000,
  "accountId": "",
  "accountNumber": "",
  "postingDate": "2015-12-31",
  "documentNumber": "D00001",
  "externalDocumentNumber": "",
  "amount": 2000,
  "description": "",
  "comment": "",
  "lastModifiedDateTime": "2017-03-17T19:02:22.043Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
Journal Line<../resources/dynamics_journalline>
Get Journal Line<dynamics_journalline_get>
Create Journal Line<dynamics_create_journalline>
Delete Journal Line<dynamics_journalline_delete>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_journalline_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_journalline_update/
